# Generated by Django 2.2.17 on 2021-09-06 23:46

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('branch', '0064_auto_20210305_2038'),
        ('trunk', '0184_auto_20210826_0522'),
    ]

    operations = [
        migrations.CreateModel(
            name='UniversityMailChimpAPI',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('api_key', models.TextField(default=None, null=True)),
                ('server_code', models.TextField(default=None, null=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('api_worked', models.BooleanField(default=None)),
                ('added_by', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='branch.StartupMember')),
                ('university', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to='trunk.University')),
            ],
        ),
        migrations.CreateModel(
            name='MailChimpAudience',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('audience_short_name', models.CharField(default=None, max_length=50, null=True)),
                ('audience_id', models.CharField(default=None, max_length=50, null=True)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('mail_chimp', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trunk.UniversityMailChimpAPI')),
                ('members', models.ManyToManyField(related_name='mailchimp_users', to='branch.StartupMember')),
            ],
        ),
    ]
